%define	name	libjsw
%define version 1.5.5
%define release %mkrel 3
%define Summary	UNIX joystick driver wrapper
%define major	%{version}
%define libname %{name}%{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License: 	GPL
Group: 		System/Servers
Source:		http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Patch:		%{name}-1.5.5.build.patch.bz2
Url: 		http://wolfpack.twu.net/libjsw/index.html
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw) provides 
the programmer with the assistance to easily code applications that need to 
use the joystick driver and a convience to users by storing the calibration 
information in a .joystick calibration file

%package -n	%{libname}
Summary:	UNIX joystick driver wrapper library
Group:		System/Libraries

%description -n	%{libname}
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw) provides 
the programmer with the assistance to easily code applications that need to 
use the joystick driver and a convience to users by storing the calibration 
information in a .joystick calibration file

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libjsw-devel

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%package	calibrator
Summary:	Joystick calibrator
Group:		Development/C
Requires:	%{libname} = %{version}
Buildrequires:	gtk+1.2-devel

%description	calibrator
Joystick calibrator itself

%prep
%setup -q
%patch -p1

%build
rm -rf %{buildroot}
pushd libjsw
%make -f Makefile.Linux \
	CFLAGS="-fPIC $RPM_OPT_FLAGS"
popd
pushd jscalibrator
%make -f Makefile.Linux \
	CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags`" \
	LIB_DIRS="-L../libjsw" \
	INC_DIRS="-I../include"
popd

%install
rm -rf %{buildroot}
pushd libjsw
make \
	PREFIX=%{buildroot}%{_prefix} \
	JSW_MAN_DIR=%{buildroot}%{_mandir}/man3 \
        JSW_LIB_DIR=%{buildroot}%{_libdir} \
	install
popd
pushd jscalibrator
make \
	PREFIX=%{buildroot}%{_prefix} \
	MAN_DIR=%{buildroot}%{_mandir}/man1 \
	install
popd

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README jswdemos
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*
%{_mandir}/man3/*

%files calibrator
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/*
%{_datadir}/libjsw

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.5-3mdk
- fix x86_64 build

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.5-2mdk
- use shipped library header

* Sat Jul 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.5-1mdk 
- new version
- fix build with gcc 4.0

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.4-2mdk
- don't do stuff within parantheses
- do install in %%install
- fix shlib-with-non-pic-code
- cosmetics

* Sun Apr 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.5.4-1mdk
- new version
- no explicit gtk dependency

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.5.2-5mdk
- fix build (slbd)

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.5.2-4mdk
- rebuild for new rpm devel computation

* Fri May 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-3mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Fri May 02 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.2-2mdk
- 1.5.2.

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-4mdk
- rebuild

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-3mdk
- rebuild against new libstdc++

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.0-2mdk
- added help files for calibrator  (Andre Duclos <shirka@wanadoo.fr>)

* Fri Jan 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.5.0-1mdk
- 1.5.0
- lib man page in devel package
- app man page in calibrator package
- spec cleanup
- mandrake optimisations

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0d-2mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0d-1mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.4.0d
	- add gtk to requires and buildrequires or libjsw1-calibrator
	- synced with Lenny's spec

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-3mdk
- update requires for libjsw1-calibrator

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-2mdk
- split package

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0c-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- first Mandrake release
